[arch-commits] Commit in weston/repos/community-x86_64 (PKGBUILD PKGBUILD keys)

Sébastien Luttringer seblu at gemini.archlinux.org
Sat Jun 25 19:45:03 UTC 2022


    Date: Saturday, June 25, 2022 @ 19:45:02
  Author: seblu
Revision: 1239443

archrelease: copy trunk to community-x86_64

Added:
  weston/repos/community-x86_64/PKGBUILD
    (from rev 1239442, weston/trunk/PKGBUILD)
  weston/repos/community-x86_64/keys/
Deleted:
  weston/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  100 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 50 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-06-25 19:44:56 UTC (rev 1239442)
+++ PKGBUILD	2022-06-25 19:45:02 UTC (rev 1239443)
@@ -1,50 +0,0 @@
-# Maintainer: Sébastien Luttringer
-# Contributor: Joel Teichroeb <joel at teichroeb.net>
-
-pkgname=weston
-pkgver=10.0.0
-pkgrel=1
-pkgdesc='Reference implementation of a Wayland compositor'
-arch=('x86_64')
-url='https://wayland.freedesktop.org/'
-license=('MIT')
-depends=('glibc' 'wayland' 'libxkbcommon' 'libinput' 'libunwind' 'pixman'
-         'libdrm' 'pam' 'systemd-libs' 'cairo' 'libpng' 'libjpeg-turbo' 'libwebp'
-         'mesa' 'libegl' 'libgles' 'glib2' 'pango' 'lcms2' 'mtdev' 'libx11'
-         'libxcb' 'dbus' 'libva' 'libxcursor' 'colord' 'pipewire')
-makedepends=('wayland-protocols' 'meson' 'ninja' 'freerdp')
-optdepends=('freerdp: support rdp backend')
-options=(!lto)
-validpgpkeys=('34FF9526CFEF0E97A340E2E40FDE7BE0E88F5E48' # emersion <contact at emersion.fr>
-              'C7223EBE4EF66513B892598911A30156E0E67611' # Bryce Harrington
-              'C0066D7DB8E9AC6844D728715E54498E697F11D7') # Derek Foreman
-source=("https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"{,.sig})
-sha256sums=('5c23964112b90238bed39e5dd1e41cd71a79398813cdc3bbb15a9fdc94e547ae'
-            'SKIP')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    echo "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  arch-meson $pkgname-$pkgver build \
-    --libexec=lib/weston -D b_lto=false
-  ninja -C build
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-  # license
-  install -Dm644 $pkgname-$pkgver/COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: weston/repos/community-x86_64/PKGBUILD (from rev 1239442, weston/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-06-25 19:45:02 UTC (rev 1239443)
@@ -0,0 +1,50 @@
+# Maintainer: Sébastien Luttringer
+# Contributor: Joel Teichroeb <joel at teichroeb.net>
+
+pkgname=weston
+pkgver=10.0.1
+pkgrel=1
+pkgdesc='Reference implementation of a Wayland compositor'
+arch=('x86_64')
+url='https://wayland.freedesktop.org/'
+license=('MIT')
+depends=('glibc' 'wayland' 'libxkbcommon' 'libinput' 'libunwind' 'pixman'
+         'libdrm' 'pam' 'systemd-libs' 'cairo' 'libpng' 'libjpeg-turbo' 'libwebp'
+         'mesa' 'libegl' 'libgles' 'glib2' 'pango' 'lcms2' 'mtdev' 'libx11'
+         'libxcb' 'dbus' 'libva' 'libxcursor' 'colord' 'pipewire')
+makedepends=('wayland-protocols' 'meson' 'ninja' 'freerdp')
+optdepends=('freerdp: support rdp backend')
+options=(!lto)
+validpgpkeys=('34FF9526CFEF0E97A340E2E40FDE7BE0E88F5E48' # emersion <contact at emersion.fr>
+              'C7223EBE4EF66513B892598911A30156E0E67611' # Bryce Harrington
+              'C0066D7DB8E9AC6844D728715E54498E697F11D7') # Derek Foreman
+source=("https://gitlab.freedesktop.org/wayland/weston/-/releases/$pkgver/downloads/weston-$pkgver.tar.xz"{,.sig})
+sha256sums=('8a9e52506a865a7410981b04f8341b89b84106db8531ab1f9fdd37b5dc034115'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    echo "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  arch-meson $pkgname-$pkgver build \
+    --libexec=lib/weston -D b_lto=false
+  ninja -C build
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+  # license
+  install -Dm644 $pkgname-$pkgver/COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list